Name:           maniadrive-data
Version:        1.2
Release:        6%{?dist}
Summary:        Data files for maniadrive, a 3D stunt driving game
Group:          Amusements/Games
License:        GPL+
URL:            http://maniadrive.raydium.org/
# This is:
# http://downloads.sourceforge.net/%{name}/ManiaDrive-%{version}-data.tar.gz
# With the game/mania_music directory removed because that contains non free
# music (CC BY-NC-SA licensed)
Source0:        ManiaDrive-%{version}-data.tar.gz
Patch0:         maniadrive-data-1.2-fixes.patch
Patch1:         maniadrive-data-1.2-fix-modifying-php-strings-inline.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
# to make sure this gets removed when maniadrive gets removed
Requires:       maniadrive >= 1.2-26

%description
Data files for maniadrive, a 3D stunt driving game. Notice this package does
not include the original ManiaDrive soundtrack as the original soundtrack is
licensed under a CC BY-NC-SA license, which is not acceptable to Fedora.

A replacement soundtrack is available in the maniadrive-music package (and will
get automatically installed together with maniadrive itself).


%prep
%setup -q -n ManiaDrive-%{version}-data
%patch0 -p1
%patch1 -p1
sed -i 's/\r//g' game/php.ini game/mania.cfg game/*.tri game/*.mni
iconv -f ISO-8859-1 -t UTF8 README > README.tmp
mv README.tmp README


%build
# nothing to build, data only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}
cp -a game $RPM_BUILD_ROOT%{_datadir}/maniadrive
ln -s ../raydium/rayphp $RPM_BUILD_ROOT%{_datadir}/maniadrive/rayphp


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_datadir}/maniadrive


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Hans de Goede <hdegoede@redhat.com> - 1.2-5
- Fix story mode not working with php >= 5.3.5 (rhbz#668657)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-2
- Correct License tag from GPLv2+ to GPL+
- Convert README to UTF-8

* Sat Aug 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2-1
- Initial Fedora package
